Package org.jboss.classfilewriter.util

# Class SignatureBuilder

java.lang.Object
org.jboss.classfilewriter.util.SignatureBuilder

public class SignatureBuilder extends Object
Generates the contents of a Signature attribute from a java type.

TODO: this is all wrong, I'm to tired to read the pathetic excuse for a spec properly

Author:
  Stuart Douglas

## Method Summary

Modifier and Type
Method
Description
`static String`
`fieldAttribute(Type type)`
Generates the field signiture for a field of the given type
`static void`
`parametizedType(ParameterizedType type, StringBuilder builder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### fieldAttribute

public static String fieldAttribute(Type type)
Generates the field signiture for a field of the given type

Parameters:
  `type` -
Returns:
  the signiture, or null if no signure is required (e.g. for Class types)

### parametizedType

public static void parametizedType(ParameterizedType type, StringBuilder builder)